Bug 506707 - yum DeprecationWarning: os.popen3
Summary: yum DeprecationWarning: os.popen3
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-18 12:54 UTC by Michael Ploujnikov
Modified: 2014-01-21 23:10 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-06-18 15:18:04 UTC


Attachments (Terms of Use)

Description Michael Ploujnikov 2009-06-18 12:54:33 UTC
Description of problem:
Every time I run some variant of the 'yum verify' command I get a depreciation warning.

Version-Release number of selected component (if applicable):
yum-3.2.23-3.fc11.noarch
yum-plugin-verify-1.1.22-1.fc11.noarch

How reproducible:
Always

Steps to Reproduce:
1. $ yum verify
2.
3.
  
Actual results:
Loaded plugins: fastestmirror, presto, refresh-packagekit, security, verify
/usr/lib/python2.6/site-packages/yum/packages.py:1484: DeprecationWarning: os.popen3 is deprecated.  Use the subprocess module.
  (ig, fp,er) = os.popen3([prelink_cmd, "-y", fn])


Expected results:
I expect to not see DeprecationWarning.

Additional info:

Comment 1 seth vidal 2009-06-18 15:18:04 UTC
Fixed upstream in:
http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=930134c2c29bdbc0c8892a377fab8fac4a9a53c8

thanks for reporting it.

Comment 2 Fedora Update System 2009-09-30 01:38:26 UTC
yum-3.2.24-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2009-10-19 16:45:09 UTC
yum-3.2.24-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yum-3.2.24-2.fc10

Comment 4 Fedora Update System 2009-11-04 12:05:28 UTC
yum-3.2.24-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.